package LasTres::Redis;

use v5.36.0;

use strict;
use warnings;

use feature 'signatures';

use parent 'Redis';

use LasTres::Schema;
our $VERSION = $LasTres::Schema::VERSION;


{
    my $cached_redis;
    sub new {
        my $class = shift;
        if (!defined $cached_redis) {
            $cached_redis = $class->SUPER::new(@_);
        }
        return $cached_redis;
    }
}

sub prefix {
    return "LasTres::Redis::$VERSION";
}
1;
